Product comparison · 2 ip phones

HP Poly Rove R8 DECT Repeater vs Yealink T58W(Pro) with Camera

Add a product
  • 7specifications compared
  • 7differ
  • 0identical
  • 78known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 85 mm more package width than the HP Poly Rove R8 DECT Repeater (324 mm vs 239 mm). The Yealink T58W(Pro) with Camera has 152 mm more package depth than the HP Poly Rove R8 DECT Repeater (293 mm vs 141 mm). The Yealink T58W(Pro) with Camera has 84 mm more package height than the HP Poly Rove R8 DECT Repeater (128 mm vs 44 mm). Product colour: Black on the HP Poly Rove R8 DECT Repeater, Grey on the Yealink T58W(Pro) with Camera. Operating relative humidity (H-H): 5 - 95% on the HP Poly Rove R8 DECT Repeater, 5 - 90% on the Yealink T58W(Pro) with Camera.

  • Product colour
    • Rove R8 DECT Repeater:Black
    • T58W(Pro) with Camera:Grey
  • Operating relative humidity (H-H)
    • Rove R8 DECT Repeater:5 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • Rove R8 DECT Repeater:-10 - 55 °C
    • T58W(Pro) with Camera:-10 - 45 °C
  • Package width
    • Rove R8 DECT Repeater:239 mm
    • T58W(Pro) with Camera:324 mm
  • Package depth
    • Rove R8 DECT Repeater:141 mm
    • T58W(Pro) with Camera:293 mm
  • Package height
    • Rove R8 DECT Repeater:44 mm
    • T58W(Pro) with Camera:128 mm
  • Package weight
    • Rove R8 DECT Repeater:300 g
    • T58W(Pro) with Camera:8.8 kg

Side by side

Differences highlightedShow differences only (on)
Comparison of Rove R8 DECT Repeater, T58W(Pro) with Camera
85 specifications
Design1 differ
Product typeKnown for oneUnknown — not stated by the sourceIP Phone
Handset typeKnown for oneUnknown — not stated by the sourceWireless handset
Product colourDiffersBlackGrey
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityKnown for oneUnknown — not stated by the sourceYes
Maximum indoor rangeKnown for one50 mUnknown — not stated by the source
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDKnown for oneUnknown — not stated by the sourceYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Displayidentical
DisplayKnown for oneUnknown — not stated by the sourceLCD
Display diagonalKnown for oneUnknown — not stated by the source17.8 cm (7")
Display resolutionKnown for oneUnknown — not stated by the source1024 x 600 pixels
TouchscreenKnown for oneUnknown — not stated by the sourceYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsKnown for oneUnknown — not stated by the sourceG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Networkidentical
Ethernet LANKnown for oneUnknown — not stated by the sourceYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source1000 Mbit/s
Ethernet LAN interface typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet
Wi-FiKnown for oneUnknown — not stated by the sourceYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothKnown for oneUnknown — not stated by the sourceYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 55 °C-10 - 45 °C
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Weight & dimensions4 differ
WidthKnown for oneUnknown — not stated by the source259.4 mm
DepthKnown for oneUnknown — not stated by the source220 mm
HeightKnown for oneUnknown — not stated by the source239 mm
Package widthDiffers239 mm324 mm
Package depthDiffers141 mm293 mm
Package heightDiffers44 mm128 mm
Package weightDiffers300 g8.8 kg
WeightKnown for one166 gUnknown — not stated by the source
Packaging contentidentical
Number of handles includedKnown for oneUnknown — not stated by the source1 pc(s)
Quick start guideKnown for oneYesUnknown — not stated by the source
Certificatesidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
Logistics dataidentical
Country of originKnown for oneChinaUnknown — not stated by the source
Pallet gross weightKnown for one357 kgUnknown — not stated by the source
UNSPSC-codeKnown for one43191515Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons